aboutsummaryrefslogtreecommitdiff
path: root/bin/han
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-16 21:06:42 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-16 21:06:42 +1200
commit2d14d81e82c12e8d4d52604e9aa9faf917ecb3d9 (patch)
tree2ab5131ef743ff4ac61c1a88fb6ac83d097f1658 /bin/han
parentRemove some cruft from apf(1) (diff)
downloaddotfiles-2d14d81e82c12e8d4d52604e9aa9faf917ecb3d9.tar.gz
dotfiles-2d14d81e82c12e8d4d52604e9aa9faf917ecb3d9.zip
Use regular BASH_VERSINFO check
Diffstat (limited to 'bin/han')
-rwxr-xr-xbin/han4
1 files changed, 1 insertions, 3 deletions
diff --git a/bin/han b/bin/han
index 7c495d2b..5aa4a8b5 100755
--- a/bin/han
+++ b/bin/han
@@ -3,9 +3,7 @@
self=han
# Give up completely if no BASH_VERSINFO (<2.0)
-if ! [ -n "$BASH_VERSINFO" ] ; then
- exit
-fi
+[ -n "$BASH_VERSINFO" ] || exit
# Figure out the options with which we can call help; Bash >=4.0 has an -m
# option which prints the help output in a man-page like format.